Skip to main content
POST
/
v2
/
session
/
apps
/
{appID}
/
users
/
batch_lookup
Batch lookup users
curl --request POST \
  --url https://api.prelude.dev/v2/session/apps/{appID}/users/batch_lookup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_ids": [
    "<string>"
  ],
  "emails": [
    "<string>"
  ]
}
'
{
  "users": [
    {
      "id": "<string>",
      "status": "<string>",
      "identifiers": [
        {
          "value": "<string>"
        }
      ],
      "scopes": [
        "<string>"
      ],
      "profile": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "external_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appID
string
required

The id of the app the request refers to. An application's unique identifier.

Examples:

"54e9ujn"

"fvua38g"

Body

application/json

At least one of external_ids or emails must be provided.

external_ids
string[]

External IDs to look up (max 100 entries).

Example:
["customer-user-42", "customer-user-99"]
emails
string[]

Email addresses to look up (max 100 entries).

Example:
["alice@example.com", "bob@example.com"]

Response

OK

users
object[]
required